using System;
using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.SceneManagement;

public class EventSystem : MonoBehaviour {

    public GameObject menuCreditos, menuSobre;
    public Player player;
    public TextMeshProUGUI pontuacao, tempo;

    // Inicializa antes de começar o jogo
    public void Start() {

        // Deixa os Menu de Creditos Desativado
        if (menuCreditos != null) {
            menuCreditos.SetActive(false);
        }
        // Deixa os Menu de Creditos Desativado
        if (menuSobre != null) {
            menuSobre.SetActive(false);
        }

        player = FindAnyObjectByType<Player>(); // Procura o Jogador
    }

    // Define as ações do Botão Inicio
    public void Inicio() {
        SceneManager.LoadScene("Start"); // Carrega o Cenario Inicial
    }

    // Define as ações do Botão Creditos
    public void Creditos() {
        menuCreditos.SetActive(true); // Ativa o menu de Creditos
    }

    // Define as ações do Botão Sobre
    public void Sobre() {
        menuSobre.SetActive(true); // Ativa o menu de Sobre
    }

    // Define as ações do Botão Sair
    public void Sair() {
        Application.Quit();
    }

    // Define as ações do Botão Tentar Novamente
    public void TenteNovamente() {
        Destroy(player.gameObject);
        SceneManager.LoadScene("Start");
    }

    // Define as ações do Botão Voltar ao Menu
    public void VoltarMenu() {
        Destroy(player.gameObject);
        SceneManager.LoadScene("Menu");
    }

    //Exibe a pontuação e o tempo na tela
    private void OnGUI() {
        if (player != null) {
            pontuacao.text = Convert.ToString(player.pontuacao);
            tempo.text = Convert.ToString(player.time / 1000);
        }
    }

}
